无法执行golang引导程序安装程序的二进制文件

我正在使用此博客文章,旨在在Raspberry Pi上安装go 1.5,以在其上安装golang 我的Chromebook(未安装ChrUbuntu的Chromium)。 博客文章中推荐的技术是安装Golang 1.4引导程序编译器此处可用,然后使用它来构建golang 1.5(因为您需要安装go的版本来构建1.5)。 我在Raspberry pi上尝试了此方法,它起作用了,但是当我在ChrUbuntu上从/ go / src运行此命令时</ p>

  env GO_TEST_TIMEOUT_SCALE = 10 GOROOT_BOOTSTRAP = $ HOME / go-linux  -arm-bootstrap ./all.bash
</ pre>

它给了我这个输出</ p>

  env GO_TEST_TIMEOUT_SCALE = 10 GOROOT_BOOTSTRAP  = $ HOME / go-linux-arm-bootstrap ./all.bash
#构建C引导程序工具。
cmd / dist
./make.bash:第121行:/ home / user / go-linux-arm / bootstrap / bin / go无法执行二进制文件
</ code> </ pre>

我为什么收到此错误消息(是因为它与ChrUbuntu不兼容)以及如何执行我的操作 试图做。 预先谢谢您。</ p>
</ div>

展开原文

原文

I'm using the instructions in this blog post, which is intended for installing go 1.5 on the Raspberry Pi, to install golang on my Chromebook (which has ChrUbuntu not Chromium installed). The technique recommended in the blog post is to install a Golang 1.4 bootstrap compiler available here and then use that to build golang 1.5 (as you need a version of go installed to build 1.5). I tried this on the Raspberry pi and it worked, but when I ran this command from /go/src on ChrUbuntu

 env GO_TEST_TIMEOUT_SCALE=10 GOROOT_BOOTSTRAP=$HOME/go-linux-arm-bootstrap ./all.bash

It gave me this output

 env GO_TEST_TIMEOUT_SCALE=10 GOROOT_BOOTSTRAP=$HOME/go-linux-arm-bootstrap ./all.bash
# Building C bootstrap tool.
cmd/dist
./make.bash: line 121: /home/user/go-linux-arm/bootstrap/bin/go cannot execute binary file

Why am I getting this error message (is it because it's not compatible with ChrUbuntu) and how to do what I am trying to do. Thank you in advance.

dr637349
dr637349 或者:我没有ChrUbuntu项目的详细信息,并且如果软件包受限制,但是您不能通过apt-get安装吗?
接近 5 年之前 回复
dongtang2376
dongtang2376 艰难的人可以远程提供帮助。我首先想到的是,因为我拥有一台chromebook并运行得很好(本机,还不错,并且在Arch中也双重启动),所以我对架构感到好奇。我知道不同的型号会有所不同,但是我的体系结构是amd64,而不是arm。您是否可能使用了错误的引导程序体系结构?
接近 5 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐